Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.model.project
Class AbstractOWLProject

    java.lang.Object
      edu.stanford.smi.protegex.owl.model.project.AbstractOWLProject

All Implemented Interfaces:
  OWLProject

Direct Known Subclasses:
  DefaultOWLProject

    public abstract class AbstractOWLProject

extends Object
implements OWLProject

Author:
  Holger Knublauch

Constructor Summary
`AbstractOWLProject()`

Method Summary
`Object` | `getSessionObject(String key)` Gets a session object for the associated OWLModel.
`void` | `setSessionObject(String key, Object object)` Sets a session object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface edu.stanford.smi.protegex.owl.model.project.OWLProject
`getSettingsMap`

Constructor Detail

### AbstractOWLProject

    public AbstractOWLProject()

Method Detail

### getSessionObject

    public Object getSessionObject(String key)

  Description copied from interface: `OWLProject`
  Gets a session object for the associated OWLModel. Session objects can be associated with an OWLModel, but they are not stored when the project is closed.

  Specified by:
    `getSessionObject` in interface `OWLProject`
  Parameters:
    `key` - the key of the object
  Returns:
    the object or null

### setSessionObject

    public void setSessionObject(String key,
                                 Object object)

  Description copied from interface: `OWLProject`
  Sets a session object.

  Specified by:
    `setSessionObject` in interface `OWLProject`
  Parameters:
    `key` - the key of the object
    `object` - the new value or null to delete the entry

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.